import { defineComponent } from 'vue';
import styles from './index.module.less';
import { NEmpty } from 'naive-ui';

export default defineComponent({
  name: 'the-empty',
  props: {
    description: {
      type: String,
      default: '暂无数据'
    }
  },
  setup(props) {
    return () => (
      <div class={styles.theEmtpy}>
        <NEmpty description={props.description} />
      </div>
    );
  }
});
